Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::MapFieldSelector Class Reference

A FieldSelector based on a Map of field names to FieldSelectorResults. More...

`#include <MapFieldSelector.h>`

Inheritance diagram for Lucene::MapFieldSelector:

## Public Member Functions

| MapFieldSelector (MapStringFieldSelectorResult fieldSelections)
| Create a MapFieldSelector. More...
| MapFieldSelector (Collection< String > fields)
| Create a MapFieldSelector. More...
virtual | ~MapFieldSelector ()
virtual String | getClassName ()
boost::shared_ptr< MapFieldSelector > | shared_from_this ()
virtual FieldSelectorResult | accept (const String &fieldName)
| Load field according to its associated value in fieldSelections. More...
Public Member Functions inherited from Lucene::FieldSelector
virtual | ~FieldSelector ()
boost::shared_ptr< FieldSelector > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FieldSelector
static String | _getClassName ()

## Data Fields

MapStringFieldSelectorResult | fieldSelections

## Additional Inherited Members

Public Types inherited from Lucene::FieldSelector
enum | FieldSelectorResult { SELECTOR_NULL, SELECTOR_LOAD, SELECTOR_LAZY_LOAD, SELECTOR_NO_LOAD, SELECTOR_LOAD_AND_BREAK, SELECTOR_SIZE, SELECTOR_SIZE_AND_BREAK }
| Provides information about what should be done with this Field. More...
Protected Member Functions inherited from Lucene::FieldSelector
| FieldSelector ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

A FieldSelector based on a Map of field names to FieldSelectorResults.

## Constructor & Destructor Documentation

## ◆ MapFieldSelector() [1/2]

Lucene::MapFieldSelector::MapFieldSelector | ( | MapStringFieldSelectorResult | fieldSelections | ) |

Create a MapFieldSelector.

Parameters

  fieldSelections | maps from field names (String) to FieldSelectorResults

## ◆ MapFieldSelector() [2/2]

Lucene::MapFieldSelector::MapFieldSelector | ( | Collection< String > | fields | ) |

Create a MapFieldSelector.

Parameters

  fields | fields to LOAD. List of Strings. All other fields are NO_LOAD.

## ◆ ~MapFieldSelector()

virtual Lucene::MapFieldSelector::~MapFieldSelector | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::MapFieldSelector::_getClassName | ( |  | ) |

inline static

## ◆ accept()

virtual FieldSelectorResult Lucene::MapFieldSelector::accept | ( | const String & | fieldName | ) |

virtual

Load field according to its associated value in fieldSelections.

Parameters

  field | a field name

Returns
  the fieldSelections value that field maps to or NO_LOAD if none.

Implements Lucene::FieldSelector.

## ◆ getClassName()

virtual String Lucene::MapFieldSelector::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FieldSelector.

## ◆ shared_from_this()

boost::shared_ptr< MapFieldSelector > Lucene::MapFieldSelector::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ fieldSelections

MapStringFieldSelectorResult Lucene::MapFieldSelector::fieldSelections

The documentation for this class was generated from the following file:

- MapFieldSelector.h

clucene.sourceforge.net